// Najpierw dodajemy indeks.
db.products.ensureIndex(           
    {name: 'text',
     description: 'text',
     tags: 'text'}
);

db.products.find({$text: {$search: 'gardens'}},{_id:0, name:1,description:1,tags:1}).pretty()

// Wynik.
/*
> db.products
    .find({$text: {$search: 'gardens'}},{_id:0, name:1,description:1,tags:1})
    .pretty()

{
    "name" : "Gumowe rękawice robocze, kolor czarny",
    "description" : "Gumowe rękawice robocze, kolor czarny...",
    "tags" : [
        "ogród"
    ]
}
{
    "name" : "Bardzo duża taczka",
    "description" : "Taczka przeznaczona do najcięższych prac...",
    "tags" : [
        "narzędzia",
        "ogród",
        "ziemia"
    ]
}
*/

